Bug 707451 - SELinux is preventing /usr/sbin/dnsmasq from 'open' accesses on the file nm-dns-dnsmasq.conf.
Summary: SELinux is preventing /usr/sbin/dnsmasq from 'open' accesses on the file nm-d...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 15
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:2276d02a558...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-25 06:31 UTC by Amit Shah
Modified: 2011-06-03 05:30 UTC (History)
3 users (show)

Fixed In Version: selinux-policy-3.9.16-26.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-03 05:30:23 UTC


Attachments (Terms of Use)

Description Amit Shah 2011-05-25 06:31:10 UTC
SELinux is preventing /usr/sbin/dnsmasq from 'open' accesses on the file nm-dns-dnsmasq.conf.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that dnsmasq should be allowed open access on the nm-dns-dnsmasq.conf file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep dnsmasq /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:dnsmasq_t:s0
Target Context                system_u:object_r:NetworkManager_var_run_t:s0
Target Objects                nm-dns-dnsmasq.conf [ file ]
Source                        dnsmasq
Source Path                   /usr/sbin/dnsmasq
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           dnsmasq-2.52-2.fc15
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.16-23.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 2.6.39-1.fc16.x86_64 #1
                              SMP Sat May 21 02:34:01 UTC 2011 x86_64 x86_64
Alert Count                   19
First Seen                    Tue 24 May 2011 07:08:26 PM IST
Last Seen                     Wed 25 May 2011 11:51:35 AM IST
Local ID                      43dd19b9-d14f-466c-94ba-b0434befb66b

Raw Audit Messages
type=AVC msg=audit(1306304495.225:333): avc:  denied  { open } for  pid=9709 comm="dnsmasq" name="nm-dns-dnsmasq.conf" dev=tmpfs ino=167604 scontext=system_u:system_r:dnsmasq_t:s0 tcontext=system_u:object_r:NetworkManager_var_run_t:s0 tclass=file


type=SYSCALL msg=audit(1306304495.225:333): arch=x86_64 syscall=open success=no exit=EACCES a0=1fb8b00 a1=0 a2=1b6 a3=7fff524283d0 items=0 ppid=814 pid=9709 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=dnsmasq exe=/usr/sbin/dnsmasq subj=system_u:system_r:dnsmasq_t:s0 key=(null)

Hash: dnsmasq,dnsmasq_t,NetworkManager_var_run_t,file,open

audit2allow

#============= dnsmasq_t ==============
allow dnsmasq_t NetworkManager_var_run_t:file open;

audit2allow -R

#============= dnsmasq_t ==============
allow dnsmasq_t NetworkManager_var_run_t:file open;

Comment 1 Miroslav Grepl 2011-05-25 07:54:07 UTC
Fixed in selinux-policy-3.9.16-25.fc15

Comment 2 Fedora Update System 2011-05-27 16:56:25 UTC
selinux-policy-3.9.16-26.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-26.fc15

Comment 3 Fedora Update System 2011-05-28 23:58:26 UTC
Package selinux-policy-3.9.16-26.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-26.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-26.fc15
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-06-03 05:29:39 UTC
selinux-policy-3.9.16-26.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.